import { h } from "@stencil/core";
import { ColorPicker } from "./color-picker";
import { DataSource } from "./data-source";
import { DataValues } from "./data-values";
import { FunnelGfx, processColor, processValues } from "./funnel-gfx";
import { Eswat2Io } from "./eswat2-io";
import { actions, state, onChange } from "../../utils";
export class FunnelApp {
    constructor() {
        this.tag = 'funnel-app';
    }
    componentDidLoad() {
        onChange('pick', processColor);
        onChange('values', processValues);
        actions.initApp();
    }
    render() {
        return (h("div", { key: '7998626a3f01e8bb4b2ed4b2b80d8b8de4a11206', id: "app", class: "ds1-main relative" }, h(Eswat2Io, { key: '44437debf47c76557ac6a115eec78b43a0aa2648' }), h(FunnelGfx, { key: 'f0806a91f365823850ab6ccebbc1339c18dd46b1' }), h(DataSource, { key: 'bfe9dc2f232eac7142d416c2dff3e7d8522930b7', actions: actions, state: state }), h(ColorPicker, { key: '23836d760ccb38b898857abd205ae186d8f05242', actions: actions, state: state }), h("hr", { key: '33eae1954a6b50e6a7b8c3124e92895114a8412d', class: "ml-0 mr-0" }), h(DataValues, { key: '4d449b22dedd37ce95356c98b00d5137008b5345', state: state })));
    }
    static get is() { return "funnel-app"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["./funnel-app.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["funnel-app.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "attribute": "tag",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'funnel-app'"
            }
        };
    }
}
